flexiblas_get_version(3)

NAME
flexiblas_avail - check if FlexiBLAS is available in the current namespace.

SYNOPSIS
#include <flexiblas/flexiblas_api.h> int flexiblas_avail(); Link with -lflexiblas or -lflexiblas_api.

DESCRIPTION
flexiblas_avail returns true if FlexiBLAS is available in the current shared library namespace otherwise false is returned. This function can be used to check if in an update-alternative enviroment the used BLAS library is FlexiBLAS or not. In this way one can write applications using FlexiBLAS features even if the BLAS implementaion was changed by update-alternative.

RETURN VALUE
True(!=0) if FlexiBLAS is available. False(=0) otherwise.

ERRORS
No errors occur.

REPORTING BUGS
The current information about the developers and reporting bugs can be found on the FlexiBLAS homepage. FlexiBLAS Homepage: <http://www.mpi-magdeburg.mpg.de/projects/flexiblas>

AUTHORS
 Martin Koehler, Jens Saak

COPYRIGHT
Copyright (C) 2013-2025 Martin Koehler

LICENSE
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.